Skip to content
View Markdown

Run a Redis pipeline

POST/v1/disks/{disk}/redis/{namespace}/pipeline
POST
/v1/disks/{disk}/redis/{namespace}/pipeline
curl --request POST \
--url https://api.wabe.sh/v1/disks/demo/redis/app/pipeline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Upstash-Encoding: json' \
--header 'Upstash-Response-Format: json' \
--data '[ [ "SET", "count", "0" ], [ "INCR", "count" ] ]'

Execute commands in order. Other clients can interleave commands.

disk
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

demo

Project disk name, or the disk ID in the actor runtime disk URL.

namespace
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

app

Namespace on this disk.

Upstash-Encoding
string
default: json
Allowed values: json base64

Encoding for byte-string replies.

Upstash-Response-Format
string
default: json
Allowed values: json resp2

Reply format. RESP2 requires the default encoding.

Media typeapplication/json
Array<Array>

Example

[
[
"SET",
"count",
"0"
],
[
"INCR",
"count"
]
]

One reply per command.

Array<object>

One result or error envelope. Pipeline/multi return an array of these.

object
result
error
string

Example

[
{
"result": "OK"
},
{
"result": 1
}
]

Invalid command, arguments, request shape or encoding.

Media typeapplication/json
One of:

One result or error envelope. Pipeline/multi return an array of these.

object
result
error
string

Missing, invalid or revoked project API key, or an invalid runtime access token.

Media typeapplication/json
object
error
required
string
message
required
string

Actor runtime token does not authorize this disk or instance generation.

Media typeapplication/json
object
error
required
string
message
required
string

Disk not found in this project.

Media typeapplication/json
object
error
required
string
message
required
string

Wabe Disk request or response limit exceeded.

Media typeapplication/json
One of:

One result or error envelope. Pipeline/multi return an array of these.

object
result
error
string

Storage failure.

Media typeapplication/json
One of:

One result or error envelope. Pipeline/multi return an array of these.

object
result
error
string

Disk unavailable.

Media typeapplication/json
object
error
required
string
message
required
string